Index: code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11424)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11426)
@@ -3,5 +3,5 @@
 	description = "The retro-game Super Mario Bros. in Orxonox."
 	tags = "minigame"
-	screenshot = "jump.png"
+	screenshot = "SOB.png"
 	/>
 
@@ -21,5 +21,5 @@
 			</attached>
 			<collisionShapes>
-				<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /><!-- 1 -->
+				<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" />
 			</collisionShapes>
 		</SOBMushroom>
@@ -29,5 +29,5 @@
 		<SOBCoin speed = 15 lifetime = 0.7>
 			<attached>
-				<Model mesh="Pilz.mesh" position="0,0,11" scale=3 pitch=90/> 
+				<Model mesh="Coin.mesh" position="0,0,11" scale=50 pitch=-90 roll=90/> 
 			</attached>
 			
@@ -52,5 +52,5 @@
 		<SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
 			<attached>
-				<Model  mesh="Orxo.mesh" scale=2.5 pitch=0 roll=90 yaw=90/>
+				<Model  mesh="orxo.mesh" position = "0,0,12" scale=2.5 pitch=0 roll=90 yaw=90/>
 				<ParticleSpawner source="Orxonox/fire4" startdelay=0  position="-4,0,0" visible="false"/>
 			</attached>
@@ -58,5 +58,4 @@
 			<collisionShapes>
 				<BoxCollisionShape position="-2,0,2" halfExtents="3,1,10" />
-				<!--      <SphereCollisionShape yaw="20" pitch="20" roll="20"  radius="10" position="0,0,10" />   -->
 			</collisionShapes>
 
@@ -83,8 +82,4 @@
 			<SpawnPoint position="1984,-5,88 " orientation="0.534038, 0.563456, 0.212168, 0.593553" />
 
-<!--    991.729, -110.11, 435.404
--->
-
-
 
 
@@ -100,32 +95,4 @@
 
 
-
-
-
-			<!-- <?lua
-						for i = 0, 100, 1
-						do
-						j = math.random()
-						?>
-			
-						<SOBItem position="<?lua print(i*10) ?>,0,-20" collisionType="static">
-							<attached>
-								<Model  mesh="MarioCube.mesh" scale="10" />
-							</attached>
-			
-						</SOBItem>
-			
-						<?lua
-						end
-						?>
-					-->
-
-
-						
-
-					
-
-
-
 					<!--Gumba-->
 
@@ -177,5 +144,5 @@
 					</SOBGumba>
 
-					<SOBGumba collisionType="dynamic" speed=30 position = "940,0,0">
+					<SOBGumba collisionType="dynamic" speed=20 position = "940,0,0">
 						<attached>
 							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
@@ -196,5 +163,5 @@
 					</SOBGumba>
 
-					<SOBGumba collisionType="dynamic" speed=30 position = "1190,0,0">
+					<SOBGumba collisionType="dynamic" speed=20 position = "1190,0,0">
 						<attached>
 							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
@@ -216,5 +183,5 @@
 					</SOBGumba>
 
-					<SOBGumba collisionType="dynamic" speed=30 position = "1330,0,0">
+					<SOBGumba collisionType="dynamic" speed=20 position = "1330,0,0">
 						<attached>
 							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
@@ -236,5 +203,5 @@
 					</SOBGumba>
 
-					<SOBGumba collisionType="dynamic" speed=30 position = "1770,0,0">
+					<SOBGumba collisionType="dynamic" speed=20 position = "1770,0,0">
 						<attached>
 							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
@@ -265,5 +232,5 @@
 
 
-					//erster Boden
+					<!-- Boden 1 -->
 					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/> 					<!-- B1.1 -->
 					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/> 				<!-- B1.2-->
@@ -281,11 +248,11 @@
 					</StaticEntity>
 
-					//Luft1
-
-
-
-					<!-- 					BLOCK 1 in der LUFT - alle analog wie diesen :) -->
-					<!-- Sobald ein QBlock von unten gehittet wird, wechselt die Visibility von allen attached Models. Hier wuerde also Cube1.1 invisible und Cube2.12 visible. Die Collisionshape wird ja sowieso beibehalten. -->
-					<SOBQBlock collisionType="static" type="Coin" position="170,0,20" mass='-1'> 						 			<!-- L1.1 -->
+
+
+
+					<!-- Luft 1 -->
+
+
+					<SOBQBlock collisionType="static" type="Coin" position="170,0,20" mass='-1'> 						 	<!-- L1.1 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90 />
@@ -297,5 +264,5 @@
 					</SOBQBlock>
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="230,0,60" mass='-1' > 
+					<SOBQBlock collisionType="static" type="Coin" position="230,0,60" mass='-1' > 
 						<attached>
 							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
@@ -323,5 +290,5 @@
 					<Model mesh="Cube1.1.mesh" position="230,0,20" scale=10/> 												<!-- L1.5 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="240,0,20" mass='-1'><!-- ? Block --> 
+					<SOBQBlock collisionType="static" type="Coin" position="240,0,20" mass='-1'><!-- ? Block --> 
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/> 
@@ -334,10 +301,10 @@
 					</SOBQBlock> 
 					
-					<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 										<!-- L1.7 -->
+					<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 												<!-- L1.7 -->
 					<!-- Rohre-->
-					<Model mesh="Rohr.mesh" position="295,5,-35" scale=10 roll=90 yaw=90 pitch=-90/> 								<!-- L1.8 -->
-					<Model mesh="Rohr.mesh" position="395,5,-25" scale=10 roll=90 yaw=90 pitch=-90/>								<!-- L1.9 -->
-					<Model mesh="Rohr.mesh" position="475,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />							<!-- L1.10 -->
-					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />								<!-- L1.11 -->	
+					<Model mesh="Rohr.mesh" position="295,5,-35" scale=10 roll=90 yaw=90 pitch=-90/> 						<!-- L1.8 -->
+					<Model mesh="Rohr.mesh" position="395,5,-25" scale=10 roll=90 yaw=90 pitch=-90/>						<!-- L1.9 -->
+					<Model mesh="Rohr.mesh" position="475,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.10 -->
+					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.11 -->	
 
 					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30" mass='-1'>
@@ -356,46 +323,35 @@
 
 
-					<StaticEntity collisionType="static"  mass='-1'><!-- ? Block --> 
-						<collisionShapes><!-- ?/S Block has his own collisionShape(1,3,5,6) --> 
+					<StaticEntity collisionType="static"  mass='-1'>
+						<collisionShapes>
 							
 							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /> 						<!-- 1.3 -->
 							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /> 						<!-- 1.5 -->
 							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /> 						<!-- 1.7 -->
-							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 						<!-- 1.8 -->
+							
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+					<StaticEntity collisionType="static" >
+						<collisionShapes>
+							
+
+							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 					<!-- 1.8 -->
 							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
 							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
 							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
 
-							<!--<CylinderCollisionShape position="295,0,0" radius="10" height="60" pitch=90 />-->
-							
-
-
-						</collisionShapes>
-					</StaticEntity>
-
-
-					<StaticEntity collisionType="static" >
-						<collisionShapes>
-							
-
-							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 						<!-- 1.8 -->
-							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
-							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
-							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
-
-							<!--<CylinderCollisionShape position="295,0,0" radius="10" height="60" pitch=90 />-->
-							
-
-
-						</collisionShapes>
-					</StaticEntity>
-
-
-
-
-
-
-
-					//Boden2
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+
+					<!-- Boden 2 -->
 					<Model mesh="Cube2.12.mesh" position="710,0,-30" scale=10 Pitch=90/>						<!-- B2.1 -->
 					<Model mesh="Cube2.3.mesh" position="830,0,-30" scale=10 Pitch=90/>							<!-- B2.2 -->
@@ -411,8 +367,8 @@
 
 
-					//Luft2
+					<!-- Luft 2 -->
 					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10/>									<!-- L2.1 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,20" mass='-1'>						<!-- L2.2 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,20" mass='-1'>			<!-- L2.2 -->
 						<attached>
 							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
@@ -443,8 +399,8 @@
 					
 
-					//Luft3
+					<!-- Luft 3 -->
 					<Model mesh="Cube1.3.mesh" position="910,0,60" scale=10/> 												<!-- L3.1 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,60" mass='-1'> <!-- ? Block --> 								<!-- L3.2 -->
+					<SOBQBlock collisionType="static" type="Coin" position="940,0,60" mass='-1'> 				 			<!-- L3.2 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -456,5 +412,5 @@
 					</SOBQBlock>
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,20" mass='-1'> <!-- 10er Block --> 								<!-- L3.3 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,20" mass='-1'> 						<!-- L3.3 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -470,5 +426,5 @@
 
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1010,0,20" mass='-1'> <!-- Stern Block --> 							<!-- L3.5 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="1010,0,20" mass='-1'> 						 <!-- L3.5 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -480,5 +436,5 @@
 					</SOBQBlock>
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1060,0,20" mass='-1'> <!-- ? Block --> 								<!-- L3.6 -->
+					<SOBQBlock collisionType="static" type="Coin" position="1060,0,20" mass='-1'> 							<!-- L3.6 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -491,5 +447,5 @@
 
 					
-					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,60" mass='-1'> <!-- Item Block --> 								<!-- L3.7 -->
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,60" mass='-1'> 						 <!-- L3.7 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -501,5 +457,5 @@
 					</SOBQBlock>
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,20" mass='-1'> <!-- ? Block --> 								<!-- L3.8 -->
+					<SOBQBlock collisionType="static" type="Coin" position="1090,0,20" mass='-1'> 							<!-- L3.8 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -511,5 +467,5 @@
 					</SOBQBlock>
 					
-					<SOBQBlock collisionType="static" type="Mushroom" position="1120,0,20" mass='-1'> <!-- ? Block --> 								<!-- L3.9 -->
+					<SOBQBlock collisionType="static" type="Coin" position="1120,0,20" mass='-1'> 							<!-- L3.9 -->
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -527,5 +483,5 @@
 					<Model mesh="Cube1.1.mesh" position="1280,0,60" scale=10/> 												<!-- L3.12 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1290,0,60" mass='-1'> 						<!-- L3.13 -->
+					<SOBQBlock collisionType="static" type="Coin" position="1290,0,60" mass='-1'> 							<!-- L3.13 -->
 						<attached>
 							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
@@ -538,5 +494,5 @@
 
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1300,0,60" mass='-1'> 						<!-- L3.14 -->
+					<SOBQBlock collisionType="static" type="Coin" position="1300,0,60" mass='-1'> 							<!-- L3.14 -->
 						<attached>
 							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
@@ -563,5 +519,5 @@
 						<collisionShapes>
 							
-							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 							<!-- 3.18 -->
+							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 								<!-- 3.18 -->
 							<BoxCollisionShape position="1360,0,0" halfExtents="15,5,5" />
 							<BoxCollisionShape position="1365,0,10" halfExtents="10,5,5" />
@@ -593,5 +549,5 @@
 
 							<BoxCollisionShape position="1180,0,20" halfExtents="5,5,5" /> 							<!-- 3.10 -->
-							<BoxCollisionShape position="1220,0,60" halfExtents="15,5,5" /> 							<!-- 3.11 -->
+							<BoxCollisionShape position="1220,0,60" halfExtents="15,5,5" /> 						<!-- 3.11 -->
 							<BoxCollisionShape position="1280,0,60" halfExtents="5,5,5" /> 							<!-- 3.12 -->
 							<BoxCollisionShape position="1310,0,60" halfExtents="5,5,5" /> 							<!-- 3.15 -->
@@ -604,5 +560,5 @@
 
 
-					//Boden3
+					<!-- Boden3 -->
 					<Model mesh="Cube2.12.mesh" position="890,0,-30" scale=10 Pitch=90/>
 					<Model mesh="Cube2.12.mesh" position="1010,0,-30" scale=10 Pitch=90/>
@@ -625,13 +581,13 @@
 
 
-					//Luft4
+					<!-- Luft4 -->
 					<Model mesh="Dreieck.mesh" position="1560,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 			<!-- L4.1 -->
 
-					<Model mesh="Rohr.mesh" position="1645,5,-35" scale=10  roll=90 yaw=90 pitch=-90 /> 								<!-- L4.2 -->
+					<Model mesh="Rohr.mesh" position="1645,5,-35" scale=10  roll=90 yaw=90 pitch=-90 /> 			<!-- L4.2 -->
 
 					<Model mesh="Cube1.1.mesh" position="1690,0,20" scale=10/> 										<!-- L4.3 -->
 					<Model mesh="Cube1.1.mesh" position="1700,0,20" scale=10/> 										<!-- L4.4 -->
 
-					<SOBQBlock collisionType="static" type="Mushroom" position="1710,0,20" mass='-1'> 				<!-- L4.5 -->				
+					<SOBQBlock collisionType="static" type="Coin" position="1710,0,20" mass='-1'> 					<!-- L4.5 -->				
 						<attached>
 							<Model mesh="QCube.mesh" scale=10 pitch=90/>
@@ -645,5 +601,5 @@
 					<Model mesh="Cube1.1.mesh" position="1720,0,20" scale=10/> 										<!-- L4.6 -->
 					<Model mesh="Rohr.mesh" position="1805,5,-35" scale=10  roll=90 yaw=90 pitch=-90 /> 			<!-- L4.7 -->
-					<Model mesh="Dreieckgross.mesh" position="1850,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
+					<Model mesh="Dreieckgross.mesh" position="1850,0,-10" scale=10 pitch=90 /> 						<!-- L4.8 -->
 
 
@@ -706,5 +662,5 @@
 
 
-
+					<!-- Castlestone -->
 					<SOBCastlestone position="2060,0,-10" collisionType="static">
 						<collisionShapes>
@@ -747,10 +703,10 @@
 							<BoxCollisionShape position="1560,0,20" halfExtents="5,5,5" />
 
-							<BoxCollisionShape position="1645,0,-4" halfExtents="12,5,12" /> 						<!-- 4.2 -->
-
-
-							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 						<!-- 4.7 -->
-
-							<BoxCollisionShape position="1860,0,-10" halfExtents="45,5,5" /> 				<!-- 4.8 -->
+							<BoxCollisionShape position="1645,0,-4" halfExtents="12,5,12" /> 					<!-- 4.2 -->
+
+
+							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 					<!-- 4.7 -->
+
+							<BoxCollisionShape position="1860,0,-10" halfExtents="45,5,5" /> 					<!-- 4.8 -->
 							<BoxCollisionShape position="1865,0,0" halfExtents="40,5,5" />
 							<BoxCollisionShape position="1870,0,10" halfExtents="35,5,5" />
@@ -761,12 +717,6 @@
 							<BoxCollisionShape position="1895,0,60" halfExtents="10,5,5" />
 							<BoxCollisionShape position="1990,0,125" halfExtents="5,5,30" />
-							<!--<BoxCollisionShape position="1990,0,40" halfExtents="5,5,55" />
--->
-
-							
-
-							
-
-
+							<BoxCollisionShape position="1940,0,150" halfExtents="45,5,5" />
+							
 
 