Index: code/trunk/data/levels/Hover.oxw
===================================================================
--- code/trunk/data/levels/Hover.oxw	(revision 11451)
+++ code/trunk/data/levels/Hover.oxw	(revision 11493)
@@ -3,5 +3,5 @@
  description = "Level for Minigame Hover"
  tags = "minigame"
- screenshot = "emptylevel.png"
+ screenshot = "hover.png"
 />
 
@@ -20,8 +20,115 @@
 <?lua
 MAZE_NUM_CELLS = 10
-MAZE_CELL_SIZE = 100
-MAZE_CELL_HEIGHT = 30
+MAZE_CELL_SIZE = 600
+MAZE_CELL_HEIGHT = 180
+MAZE_WALL_THICKNESS = 10
 MAZE_SIZE = MAZE_NUM_CELLS*MAZE_CELL_SIZE
 ?>
+
+<!-- Shrink Pickup Representation -->
+
+<Template name=smallshrinkpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Sphere2" scale=0.5>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,0.55,1.0" material="Shrink" scale=0.35 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+
+<Template name=smallshrinkpickup baseclass=ShrinkPickup>
+  <ShrinkPickup 
+    representation = "smallshrinkpickup"
+    duration = 10.0
+    shrinkFactor = 2
+    activaionType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<!-- Speed Pickup Representation -->
+
+<Template name=hugespeedpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.5>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugespeedpickup baseclass=SpeedPickup>
+  <SpeedPickup
+    representation = "hugespeedpickup"
+    duration = 10.0
+    speedAdd = 0.0
+    SpeedMultiply = 5.0
+    activationType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<!-- Destroy Carrier Pickup Representation -->
+
+<Template name=destroyhoverpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Sphere2" scale=0.5>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.6,0.⁰,0.8" material="Asterisk" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=destroyhoverpickup baseclass=MetaPickup>
+  <MetaPickup representation="destroyhover" metaType="destroyCarrier" />
+</Template>
+
+<!-- Obstacle (crate) Template -->
+
+<Template name=obstacle baseclass=Pawn>
+    <Pawn team=1 health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=10000000000000 name=box RVName = "Box 4" >
+        <attached>
+            <Model position="0,0,0" mesh="crate.mesh" scale3D="15,15,15" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="0,0,0" halfExtents="70,70,70" />
+        </collisionShapes>
+    </Pawn>
+</Template>
+
+<!-- Ground Template -->
+
+<Template name=ground baseclass=StaticEntity>
+    <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000000 friction=0.01 >
+      <attached> 
+        <Model position="0,0,0" mesh="CubeGround.mesh" scale3D="300,20,300" /> 
+      </attached> 
+      <collisionShapes> 
+        <BoxCollisionShape position="0,0,0" halfExtents="300,10,300" /> 
+      </collisionShapes> 
+    </StaticEntity>
+</Template>
 
 <Level
@@ -32,4 +139,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <?lua include("includes/notifications.oxi") ?>
 
@@ -37,6 +145,30 @@
     ambientlight = "0.8, 0.8, 0.8"
     skybox       = "Orxonox/Starbox"
-    gravity      = "0, -200, 0"
+    gravity      = "0, -300, 0"
   >
+
+    <PickupRepresentation
+      name = "destroyhover"
+      pickupName = "Destroy Hover Pickup"
+      pickupDescription = "destroys you."
+      spawnerTemplate = "destroyhoverpickupRepresentation"
+      inventoryRepresentation = "destroyHoverPickup"
+    />
+
+    <PickupRepresentation
+      name = "hugespeedpickup"
+      pickupName = "Huge Speed Boost"
+      pickupDescription = "Multiplies Speed of the Ship by a huge amount."
+      spawnerTemplate = "hugespeedpickupRepresentation"
+      inventoryRepresentation = "HugeSpeed"
+    />
+
+    <PickupRepresentation
+      name = "smallshrinkpickup"
+      pickupName = "Small Shrink"
+      pickupDescription = "Shrinks the ship by a small amount."
+      spawnerTemplate = "smallshrinkpickupRepresentation"
+      inventoryRepresentation = "SmallShrink"
+    />
 
     <StaticEntity position="0,0,0" collisionType="static">
@@ -46,21 +178,17 @@
           cellSize="<?lua print(MAZE_CELL_SIZE)?>"
           cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
+          wallThickness="<?lua print(MAZE_WALL_THICKNESS)?>"
+          obstacletemplate=obstacle
+          pickuptemplate=destroyhoverpickup
+          pickuprepresentationtemplate=destroyhoverpickupRepresentation
+          pickuptemplatespeed=hugespeedpickup
+          pickuprepresentationtemplatespeed=hugespeedpickupRepresentation
+          pickuptemplateshrink=smallshrinkpickup
+          pickuprepresentationtemplateshrink=smallshrinkpickupRepresentation
+          groundtemplate=ground
         />
-        <Model
-          position="<?lua print(MAZE_SIZE/2)?>,-16,<?lua print(MAZE_SIZE/2)?>"
-          scale3D="<?lua print(MAZE_SIZE/2)?>,16,<?lua print(MAZE_SIZE/2)?>"
-          mesh="CubeGround.mesh"
-        />
+
       </attached> 
-      <collisionShapes>
-        <BoxCollisionShape
-          position="<?lua print(MAZE_SIZE/2)?>,<?lua print(MAZE_CELL_HEIGHT+1)?>,<?lua print(MAZE_SIZE/2)?>"
-          halfExtents="<?lua print(MAZE_SIZE/2)?>,1,<?lua print(MAZE_SIZE/2)?>"
-        />
-        <BoxCollisionShape
-          position="<?lua print(MAZE_SIZE/2)?>,-1,<?lua print(MAZE_SIZE/2)?>"
-          halfExtents="<?lua print(MAZE_SIZE/2)?>,1,<?lua print(MAZE_SIZE/2)?>"
-        />
-      </collisionShapes>
+     
     </StaticEntity>
 
@@ -75,6 +203,6 @@
     <SpawnPoint
       team=0
-      position="50,20,50"
-      lookat="100,20,100"
+      position="300,120,300"
+      lookat="600,120,600"
       spawnclass=HoverShip
       pawndesign=spaceshiphover
@@ -83,3 +211,2 @@
   </Scene>
 </Level>
-
Index: code/trunk/data/levels/includes/weaponSettingsHover.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsHover.oxi	(revision 11451)
+++ code/trunk/data/levels/includes/weaponSettingsHover.oxi	(revision 11493)
@@ -1,5 +1,5 @@
 <weaponslots>
-  <WeaponSlot position="-3,2,-3" />
-  <WeaponSlot position=" 3,2,-3" />
+  <WeaponSlot position="-10,2,-100" />
+  <WeaponSlot position=" 10,2,-100" />
 </weaponslots>
 <weaponsets>
@@ -14,8 +14,8 @@
     </links>
     <Weapon>
-      <IceGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 speed=2000.0f damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1, 1,-50 " projectileMesh="LaserBeam2.mesh" />
     </Weapon>
     <Weapon>
-      <IceGun mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 speed=2000.0f damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.8, 1,-50" projectileMesh="LaserBeam2.mesh" />
     </Weapon>
   </WeaponPack>
@@ -27,4 +27,4 @@
 </weaponpacks>  
 <munition>
-  <IceMunition initialmagazines=1 maxmagazines=1 munitionpermagazine=10/>
+  <LaserMunition initialmagazines=2 maxmagazines=2 munitionpermagazine=20/>
 </munition>
Index: code/trunk/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipHover.oxt	(revision 11451)
+++ code/trunk/data/levels/templates/spaceshipHover.oxt	(revision 11493)
@@ -18,12 +18,12 @@
    reloadwaittime      = 0.5
 
-   primaryThrust     = 200
-   auxilaryThrust    = 30
-   rotationThrust    = 25
+   primaryThrust     = 2000
+   auxilaryThrust    = 1
+   rotationThrust    = 45
 
-   jumpBoost = 90
+   jumpBoost = 350
 
    lift = 1;
-   stallSpeed = 220;
+   stallSpeed = 1400;
 
    boostPower            = 10
@@ -33,5 +33,5 @@
 
    collisionType     = "dynamic"
-   mass              = 100
+   mass              = 1000000
    linearDamping     = 0.2
    angularDamping    = 0.9999999
@@ -41,15 +41,15 @@
     </engines>
     <attached>
-      <Model position="0,0,-20" mesh="hovership_body.mesh" scale="5" yaw=180/>	
-      <Model position="0,0,-20" mesh="hovership_engine.mesh" scale="5" yaw=180/>	
-      <Model position="0,0,-20" mesh="hovership_gun.mesh" scale="5" yaw=180/>	
+      <Model position="0,0,-120" mesh="hovership_body.mesh" scale="30" yaw=180/>	
+      <Model position="0,0,-120" mesh="hovership_engine.mesh" scale="30" yaw=180/>	
+      <Model position="0,0,-120" mesh="hovership_gun.mesh" scale="30" yaw=180/>	
       
     </attached>
     <collisionShapes>
-      <BoxCollisionShape position="0,-2 ,7" halfExtents="7, 4 ,30" />
+      <BoxCollisionShape position="0,-12, 42" halfExtents="49, 24 ,180" />
     </collisionShapes>
     <explosion>
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" scale=2 />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" scale=12 />
       <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
 
@@ -69,6 +69,6 @@
   <SpaceShip>
     <camerapositions>
-      <CameraPosition position="0,8, 5" drag=true mouselook=true />
-      <CameraPosition position="0,8,5" yaw="180" drag=true mouselook=true />
+      <CameraPosition position="0, 48, 30" drag=true mouselook=true />
+      <CameraPosition position="0, 48, 30" yaw="180" drag=true mouselook=true />
     </camerapositions>
   </SpaceShip>
@@ -79,13 +79,13 @@
    boostfactor    = 2
 
-   speedfront     = 90
-   speedback      =  40
-   speedleftright =  40
-   speedupdown    =  40
+   speedfront     = 1400
+   speedback      =  800
+   speedleftright =  700
+   speedupdown    =  700
 
-   accelerationfront     = 500
-   accelerationbrake     = 500
-   accelerationback      =  125
-   accelerationleftright =  125
+   accelerationfront     = 1000
+   accelerationbrake     = 1000
+   accelerationback      =  250
+   accelerationleftright =  350
    accelerationupdown    =  125
   >