Index: code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11508)
+++ code/branches/FlappyOrx_HS17/data/levels/FlappyOrx.oxw	(revision 11509)
@@ -43,10 +43,54 @@
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=FlappyOrxShip pawndesign=spaceshipFlappyOrx />
+    <SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=FlappyOrxShip pawndesign=spaceshipFlappyOrx />
 
     
     <FlappyOrxCenterPoint name=flappyorxcenter />
     
+     <?lua
+      for i = 1, 30, 1 do
+        j = math.random()
+    ?>
 
+    <MovableEntity
+      position = "<?lua print(i* 300) ?>,0, <?lua print(j* 200) ?>"
+      collisionType = dynamic
+      linearDamping = 0.8
+      angularDamping = 0
+      scale = "<?lua print(10)?>"
+      collisiondamage = 0
+      enablecollisiondamage = true
+    >
+    
+      <attached>
+        <Model mass="1000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(10) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+
+     <MovableEntity
+      position = "<?lua print(i* 300) ?>,0,<?lua print(-150 + j* 200) ?>"
+      collisionType = dynamic
+      linearDamping = 0.8
+      angularDamping = 0
+      scale = "<?lua print(10)?>"
+      collisiondamage = 0
+      enablecollisiondamage = true
+    >
+    
+      <attached>
+        <Model mass="1000" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(10) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+
+    <?lua
+      end
+    ?>
+    
     
   </Scene>
Index: code/branches/FlappyOrx_HS17/data/levels/Invaders.oxw
===================================================================
--- code/branches/FlappyOrx_HS17/data/levels/Invaders.oxw	(revision 11508)
+++ code/branches/FlappyOrx_HS17/data/levels/Invaders.oxw	(revision 11509)
@@ -45,9 +45,8 @@
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=InvaderShip pawndesign=spaceshipinvader />
 
-    <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
-    <Model position="0,0,0" mesh="Coordinates.mesh" scale="20"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=FlappyOrxShip pawndesign=spaceshipFlappyOrx />
 
-    <InvaderCenterPoint name=invadercenter />
     
+    <FlappyOrxCenterPoint name=flappyorxcenter />
     <?lua
       for i = 1, 30, 1 do
Index: code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11508)
+++ code/branches/FlappyOrx_HS17/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11509)
@@ -50,8 +50,14 @@
 
         UpwardThrust = 250;
-        speed = 1;
+        speed = 50;
         gravity = 20;
+         void AutonomousDrone::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+        {   
+            SUPER(AutonomousDrone, XMLPort, xmlelement, mode);
+            XMLPortParam(FlappyOrxShip, "speed", setSpeed, getSpeed, xmlelement, mode);
+            XMLPortParam(FlappyOrxShip, "UpwardThrust", setUpwardThrust, getUpwardThrust, xmlelement, mode);
+            XMLPortParam(FlappyOrxShip, "gravity", setGravity, getGravity, xmlelement, mode);
+        }
     }
-
     void FlappyOrxShip::tick(float dt)
     {  //Execute movement
@@ -94,4 +100,5 @@
             
         }
+
 
         SUPER(FlappyOrxShip, tick, dt);