Index: code/branches/SOBv2_HS17/data/levels/SOB.oxw
===================================================================
--- code/branches/SOBv2_HS17/data/levels/SOB.oxw	(revision 11491)
+++ code/branches/SOBv2_HS17/data/levels/SOB.oxw	(revision 11517)
@@ -48,5 +48,4 @@
 
 
-
 	<Template name=sobFigureTemplate>
 		<SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
@@ -62,5 +61,10 @@
 
 		</SOBFigure>
-	</Template>
+	</Template> 
+
+
+
+
+
 
 	<Level
Index: code/branches/SOBv2_HS17/src/modules/superorxobros/SOBFigure.cc
===================================================================
--- code/branches/SOBv2_HS17/src/modules/superorxobros/SOBFigure.cc	(revision 11491)
+++ code/branches/SOBv2_HS17/src/modules/superorxobros/SOBFigure.cc	(revision 11517)
@@ -65,4 +65,5 @@
         firePressed_ = false;
         collDisZ_ = 0;
+
         //Times and turning
         timeSinceLastFire_ = 0.0;
@@ -110,11 +111,17 @@
             mush->hasCollided_ = true; // needed because of destroyLater takes some time and player should receive points only once
 
-            Vector3 scale = {1.2, 1.2, 1.2};
-            this->setScale3D(scale);
-            /*if (this->hasPhysics() && this->collisionShape_ != nullptr)
+
+            // now, change the clothes of the Figure to red
+            std::set<WorldEntity*> attachedObjects = this->getAttachedObjects();
+            std::set<WorldEntity*>::iterator it;
+            for (it = attachedObjects.begin(); it != attachedObjects.end(); ++it)
             {
-             this->collisionShape_->setScale3D(scale);
-            }*/
-
+                Model* FiguresModel = orxonox_cast<Model*>(*it);
+                if (FiguresModel != nullptr)
+                {
+                    std::string name = "orxo_material_gross";
+                    FiguresModel->setMaterial(name);
+                }
+            }   
         }
         //Check if otherObject is a Gumba (that walking enemies)
@@ -136,11 +143,17 @@
                     gotPowerUp_ = false;
                     
-                    Vector3 scale = {1, 1, 1};
-                    this->setScale3D(scale);
-                    /*if (this->hasPhysics() && this->collisionShape_ != nullptr)
-                    {
-                     this->collisionShape_->setScale3D(scale);
-                    }*/
-
+                   // TODO: reset to old clothes of figure
+                       // now, change the clothes of the Figure to red
+            std::set<WorldEntity*> attachedObjects = this->getAttachedObjects();
+            std::set<WorldEntity*>::iterator it;
+            for (it = attachedObjects.begin(); it != attachedObjects.end(); ++it)
+            {
+                Model* FiguresModel = orxonox_cast<Model*>(*it);
+                if (FiguresModel != nullptr)
+                {
+                    std::string name = "orxo_material";
+                    FiguresModel->setMaterial(name);
+                }
+            }  
                     gumba->destroyLater();
                     gumba->hasCollided_ = true;
@@ -269,5 +282,7 @@
 
         //If player hits space and collides against an object under him then jump
-        if (inputAllowed && firePressed_ && isColliding_ && (collDisZ_ >= 7.75 && collDisZ_ <+ 8.25)) {
+        if (inputAllowed && firePressed_ && isColliding_ && (collDisZ_ >= 0 && collDisZ_ <+ 10)) {
+        //if (inputAllowed && firePressed_ && isColliding_ ) {
+
             gravityAcceleration_ = 100.0;
             velocity.z = 110; 
Index: code/branches/SOBv2_HS17/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/SOBv2_HS17/src/orxonox/graphics/Model.cc	(revision 11491)
+++ code/branches/SOBv2_HS17/src/orxonox/graphics/Model.cc	(revision 11517)
@@ -40,4 +40,5 @@
 #include "graphics/MeshLodInformation.h"
 #include "Level.h"
+
 
 namespace orxonox
@@ -155,4 +156,5 @@
         this->mesh_.setMaterial(this->materialName_);
     }
+
 
     void Model::changedShadows()